#ifndef _AXLE_H
#define _AXLE_H

#include "stdafx.h"

	/**A class to represent an axle of a vehicle*/

class Axle 
{
public:
    
	Axle();
	Axle(int i, double t, double v, double x, double w, int dirn);
    virtual ~Axle();
	
	double getWeight();
	double getSpacing();
	
	void setWeight(double w);
	void setSpacing(double space);

    void UpdatePosition(double time);

private:
	/** The space to the next axle */
	double spacing;
	/** The weight of this axle */
	double weight;

};
#endif
