// CASTORFile.h: interface for the CASTORFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_CASTORFILE_H__A65FA0F3_9CD8_4697_A7B5_E3B76744C37B__INCLUDED_)
#define AFX_CASTORFILE_H__A65FA0F3_9CD8_4697_A7B5_E3B76744C37B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "stdafx.h"
#include "FileHandler.h"

	/** A class for reading from, and writing to, CASTOR format files */

class CASTORFile  : public FileHandler
{
public:
	void writeLine(Vehicle *pVeh);
	Vehicle* readLine();
	CASTORFile(std::string inputFile, std::string outputFile);
	virtual ~CASTORFile();

};

#endif // !defined(AFX_CASTORFILE_H__A65FA0F3_9CD8_4697_A7B5_E3B76744C37B__INCLUDED_)
