// Gradient.h: interface for the Gradient class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GRADIENT_H__AA2E912A_B7E3_4B9E_A253_C350F42F6278__INCLUDED_)
#define AFX_GRADIENT_H__AA2E912A_B7E3_4B9E_A253_C350F42F6278__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "stdafx.h"
#include "RoadSegment.h"

	/**A derived class to represent a gradient on a road*/

class Gradient : public RoadSegment  
{
public:
	void addVehicle(Vehicle* pVeh);
	void removeVehicle(Vehicle *pVeh);
	Gradient(int start, int end, double grad, bool DirPos);
	virtual ~Gradient();

private:
	double m_Gradient;

};

#endif // !defined(AFX_GRADIENT_H__AA2E912A_B7E3_4B9E_A253_C350F42F6278__INCLUDED_)
