#if !defined(AFX_ROADFEATURESDLG_H__72BAD1EF_0F8E_4D4B_98E1_C93C7732E4AD__INCLUDED_)
#define AFX_ROADFEATURESDLG_H__72BAD1EF_0F8E_4D4B_98E1_C93C7732E4AD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RoadFeaturesDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CRoadFeaturesDlg dialog

#include "MiscCtrls\DialogExt.h"
#include "GridCtrl_src\GridCtrl.h"
#include "afxcoll.h"				// for CObArray

	/**A class for the Road Features Dialog*/

class CRoadFeaturesDlg : public CDialogExt
{
// Construction
public:
	int m_RoadLength;
	CRoadFeaturesDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CRoadFeaturesDlg)
	enum { IDD = IDD_ROADFEATURES };
	int			m_nFixCols;
	int			m_nFixRows;
	int			m_nCols;
	int			m_nRows;
	CObArray	m_vRoadFeatures;
	//}}AFX_DATA
	CGridCtrl m_Grid;


// Overrides
	virtual void OnValidate (UINT &nID, CString &strMessage);
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRoadFeaturesDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CRoadFeaturesDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnAddfeat();
	afx_msg void OnBtnDelfeat();
	void OnGridEndEdit(NMHDR *pNotifyStruct, LRESULT* pResult);
	//}}AFX_MSG
	
	DECLARE_MESSAGE_MAP()
private:
	WORD			MapStringToType(CString str);
	void			SetParamData(int row, int col, double val);
	void			SetParamData(int row, int col, CString str);
	CString			MapTypeToString(WORD type);
	void			LoadFeaturesIntoGrid();
	void			SetCells(bool bAddDelete);
	void			SetGridHeadings();
	
	int				m_NoFeatures;
	CStringArray	m_sDirections;
	CStringArray	m_sFeatureTypes;
	CStringArray	m_sColumnHeaders;

	int	MAX_SLOPE;
	int SPEEDLIMIT_MIN;
	int SPEEDLIMIT_MAX;

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ROADFEATURESDLG_H__72BAD1EF_0F8E_4D4B_98E1_C93C7732E4AD__INCLUDED_)
