// SAFTFile.h: interface for the SAFTFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SAFTFILE_H__33D68077_6D7E_4FDF_AEBB_2B831E92D21D__INCLUDED_)
#define AFX_SAFTFILE_H__33D68077_6D7E_4FDF_AEBB_2B831E92D21D__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "stdafx.h"
#include "FileHandler.h"

	/** A class for reading from, and writing to, SAFT format files */

class SAFTFile : public FileHandler  
{
public:
	void writeLine(Vehicle *pVeh);
	Vehicle* readLine();
	SAFTFile(std::string inputFile, std::string outputFile);
	virtual ~SAFTFile();

};

#endif // !defined(AFX_SAFTFILE_H__33D68077_6D7E_4FDF_AEBB_2B831E92D21D__INCLUDED_)
