#if !defined(AFX_SIMCONFIGDLG_H__66BC747D_1FD0_4187_9593_A061AB8D38E2__INCLUDED_)
#define AFX_SIMCONFIGDLG_H__66BC747D_1FD0_4187_9593_A061AB8D38E2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SimConfigDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSimConfigDlg dialog

#include "EvolveTrafficDoc.h"
#include "MiscCtrls\DialogExt.h"

	/**A class for the Simulation Configurations Dialog*/

class CSimConfigDlg : public CDialogExt
{
// Construction
public:
	CSimConfigDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CSimConfigDlg)
	enum { IDD = IDD_SIMCONFIG };
	CString	m_FileIn;
	CString	m_FileOut;
	CString	m_MetricsDir;
	int		m_RoadLength;
	int		m_NoLanesDirPos;
	int		m_NoLanesDirNeg;
	int		m_FileType;
	int		m_SimTimeStep;
	int		m_TrafFileNoLanesDirPos;
	int		m_TrafFileNoLanesDirNeg;
	bool	m_DriveOnRight;
	int		m_LocOutputDetectorDirPos;
	int		m_LocOutputDetectorDirNeg;
	BOOL	m_AllowLaneChanging;
	int		m_intDriveSide;
	//}}AFX_DATA

// Overrides
	virtual void OnValidate (UINT &nID, CString &strMessage);
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSimConfigDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	BOOL OnInitDialog();

	// Generated message map functions
	//{{AFX_MSG(CSimConfigDlg)
	afx_msg void OnBtnFileInPick();
	afx_msg void OnBtnFileOutPick();
	afx_msg void OnRadCastor();
	afx_msg void OnRadSaft();
	afx_msg void OnSelchangeCmbDriveside();
	afx_msg void OnBtnMetricsout();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SIMCONFIGDLG_H__66BC747D_1FD0_4187_9593_A061AB8D38E2__INCLUDED_)
