// SpeedLimit.h: interface for the SpeedLimit class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SPEEDLIMIT_H__1E65A464_295B_4549_A0A1_B9174C5AEE6B__INCLUDED_)
#define AFX_SPEEDLIMIT_H__1E65A464_295B_4549_A0A1_B9174C5AEE6B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "stdafx.h"
#include "RoadSegment.h"

	/** A derived class to represent a speed-limit section on a road*/

class SpeedLimit : public RoadSegment 
{
public:
	void removeVehicle(Vehicle* pVeh);
	void addVehicle(Vehicle* pVeh);
	double getSpeedLimit();
	SpeedLimit(int start, int end, double limit, bool DirPos);
	virtual ~SpeedLimit();

private:
	/** The speed limit for this segment*/
	double m_SpeedLimit;
};

#endif // !defined(AFX_SPEEDLIMIT_H__1E65A464_295B_4549_A0A1_B9174C5AEE6B__INCLUDED_)
