// StatDetector.h: interface for the CStatDetector class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_STATDETECTOR_H__09E4D8B1_AFFB_46DA_B96A_5AC5192CA1EE__INCLUDED_)
#define AFX_STATDETECTOR_H__09E4D8B1_AFFB_46DA_B96A_5AC5192CA1EE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <string>

	/**A class for the general Detector object that can be saved to file*/

class CStatDetector : public CObject  
{
	DECLARE_SERIAL (CStatDetector)

public:
	CStatDetector();
	virtual ~CStatDetector();

	void Serialize(CArchive &ar);

	// the gets
	std::string	getStdStrMetricsDir();
	WORD	getDetectorType();
	bool	getDirPos();
	WORD	getVehicleType();
	int		getTimeInterval();
	int		getLocation();

	// the sets
	void	setMetricsDir(CString dir);
	void	setDetectorType(WORD type);
	void	setDirPos(bool dirpos);
	void	setVehicleType(WORD type);
	void	setTimeInterval(int interval);
	void	setLocation(int loc);

private:
	CString m_MetricsDir;
	WORD m_DetectorType;
	bool m_DirPos;
	WORD m_VehicleType;
	int m_TimeInterval;
	int m_Location;	
};

#endif // !defined(AFX_STATDETECTOR_H__09E4D8B1_AFFB_46DA_B96A_5AC5192CA1EE__INCLUDED_)
