#if !defined(AFX_STATDETECTORDLG_H__80DF71D6_83E9_4446_BD1B_D6E8985A9548__INCLUDED_)
#define AFX_STATDETECTORDLG_H__80DF71D6_83E9_4446_BD1B_D6E8985A9548__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StatDetectorDlg.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CStatDetectorDlg dialog

#include "MiscCtrls\DialogExt.h"
#include "GridCtrl_src\GridCtrl.h"
#include "afxcoll.h"				// for CObArray

	/**A class for the Detector Dialog*/

class CStatDetectorDlg : public CDialogExt
{
// Construction
public:
	int m_RoadLength;
	CStatDetectorDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CStatDetectorDlg)
	enum { IDD = IDD_STATDETECTORS };
	int			m_nFixCols;
	int			m_nFixRows;
	int			m_nCols;
	int			m_nRows;
	CObArray	m_vStatDetectors;
	//}}AFX_DATA
	CGridCtrl m_Grid;


// Overrides
	virtual void OnValidate (UINT &nID, CString &strMessage);
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStatDetectorDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CStatDetectorDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnBtnAdddet();
	afx_msg void OnBtnDeldet();
	void OnGridEndEdit(NMHDR *pNotifyStruct, LRESULT* pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	WORD			MapStringToDetType(CString str);
	WORD			MapStringToVehType(CString str);
	void			SetParamData(int row, int col, int val);
	void			SetParamData(int row, int col, CString str);
	CString			MapDetTypeToString(WORD type);
	CString			MapVehTypeToString(WORD type);
	void			LoadStatDetectorsIntoGrid();
	void			SetCells(bool bAddDelete);
	void			SetGridHeadings();
	
	int				m_NoStatDetectors;
	CStringArray	m_sDirections;
	CStringArray	m_sStatDetectorTypes;
	CStringArray	m_sVehicleTypes;
	CStringArray	m_sColumnHeaders;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STATDETECTORDLG_H__80DF71D6_83E9_4446_BD1B_D6E8985A9548__INCLUDED_)
