// Gradient.cpp: implementation of the Gradient class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "EvolveTraffic.h"
#include "Gradient.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

Gradient::Gradient(int start, int end, double grad, bool DirPos)
{
	m_Beginning = start;
	m_End = end;
	m_DirPos = DirPos;
	m_Gradient = grad;
}

Gradient::~Gradient()
{

}

void Gradient::addVehicle(Vehicle *pVeh)
{
	pVeh->getDriver()->SetGradient(m_Gradient);
}

void Gradient::removeVehicle(Vehicle *pVeh)
{
//	TRACE("Remove vehicle - Direction: %d Position: %f\tVelocity: %f\n",pVeh->getDirection(), pVeh->getPos(), pVeh->getVelocity());
	DriverModel* driver = pVeh->getDriver();		// called before add vehicle!!
	driver->ClearGradient();					    // causes vehicle stream to halt
}
