/////////////////////////////////////////////////////////////////////////////
// DialogEx.h : header file
// 
// Author: cunlin zhang
// Date  : February 2001
// Email : zhangcunlin@21cn.com
// Copyright (c) 2001-2003,  All Rights Reserved.
//
// This code, in compiled form or as source code, may be redistributed 
// unmodified PROVIDING it is not sold for profit without the authors 
// written consent, and providing that this notice and the authors name 
// and all copyright notices remains intact.
//
// This file is provided "as is" with no expressed or implied warranty.
// The author accepts no liability for any damage/loss of business that
// this product may cause.

#if !defined(_DIALOGEXT_H__INCLUDED_)
#define _DIALOGEXT_H__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "../stdafx.h"
#include "MessageTip.h"

/////////////////////////////////////////////////////////////////////////////
// CDialogExt dialog

	/**A class that enables validation of user input in dialogs*/

class CDialogExt : public CDialog
{

	DECLARE_DYNAMIC(CDialogExt)

// Construction
public:
	CDialogExt();
	CDialogExt(UINT nIDTemplate, CWnd *pParent= NULL);
	CDialogExt(LPCTSTR lpszTemplateName, CWnd *pParentWnd= NULL);

// Attributes:
protected:
	CMessageTip	m_tip;
    CWnd*		m_pWndFrom;		// focused window when pressing Enter key 

	
// Operations:
public:

// Overrides
	virtual void OnValidate (UINT &nCtrlID, CString &strError);
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDialogExt)
	public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	virtual BOOL OnCmdMsg(UINT nID, int nCode, void* pExtra, AFX_CMDHANDLERINFO* pHandlerInfo);
	//}}AFX_VIRTUAL

// Implementation
protected:

	//{{AFX_MSG(CDialogExt)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_DIALOGEXT_H__INCLUDED_)
