// RoadFeature.h: interface for the CRoadFeature class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ROADFEATURE_H__F64DE59C_1374_4951_8D85_765E63B664DD__INCLUDED_)
#define AFX_ROADFEATURE_H__F64DE59C_1374_4951_8D85_765E63B664DD__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

	/**A class for storing general Road Feature objects to file*/

class CRoadFeature : public CObject  
{
	DECLARE_SERIAL (CRoadFeature)

public:
	CRoadFeature();
	virtual ~CRoadFeature();
	
	void Serialize(CArchive &ar);

	// the gets
	WORD getType();
	bool getDirPos();
	int getStart();
	int getEnd();
	double getValue();

	// the sets
	void setType(WORD type);
	void setDirPos(bool dirpos);
	void setStart(int start);
	void setEnd(int end);
	void setValue(double val);

private:
	double m_Value;
	int m_End;
	int m_Start;
	bool m_DirPos;
	WORD m_Type;

};

#endif // !defined(AFX_ROADFEATURE_H__F64DE59C_1374_4951_8D85_765E63B664DD__INCLUDED_)
